org.apache.hadoop.fs

## Class SWebHdfs

- java.lang.Object
- - org.apache.hadoop.fs.AbstractFileSystem
  - - org.apache.hadoop.fs.DelegateToFileSystem
    - - org.apache.hadoop.fs.SWebHdfs

- All Implemented Interfaces:
    org.apache.hadoop.fs.PathCapabilities

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class SWebHdfs
      extends org.apache.hadoop.fs.DelegateToFileSystem

  AbstractFileSystem implementation for HDFS over the web (secure).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SCHEME`

    - ### Fields inherited from class org.apache.hadoop.fs.DelegateToFileSystem

      `fsImpl`

    - ### Fields inherited from class org.apache.hadoop.fs.AbstractFileSystem

      `statistics`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.fs.DelegateToFileSystem

      `createInternal, createSymlink, delete, getCanonicalServiceName, getDelegationTokens, getFileBlockLocations, getFileChecksum, getFileLinkStatus, getFileStatus, getFsStatus, getFsStatus, getHomeDirectory, getInitialWorkingDirectory, getLinkTarget, getServerDefaults, getServerDefaults, getUriDefaultPort, hasPathCapability, listStatus, mkdir, open, renameInternal, setOwner, setPermission, setReplication, setTimes, setVerifyChecksum, supportsSymlinks, truncate`

    - ### Methods inherited from class org.apache.hadoop.fs.AbstractFileSystem

      `checkPath, checkScheme, clearStatistics, create, createFileSystem, createSnapshot, deleteSnapshot, equals, get, getAclStatus, getAllStatistics, getAllStoragePolicies, getStatistics, getStatistics, getStoragePolicy, getUri, getUriPath, getXAttr, getXAttrs, getXAttrs, hashCode, isValidName, listCorruptFileBlocks, listLocatedStatus, listStatusIterator, listXAttrs, makeQualified, modifyAclEntries, msync, open, printStatistics, removeAcl, removeAclEntries, removeDefaultAcl, removeXAttr, rename, renameInternal, renameSnapshot, resolvePath, satisfyStoragePolicy, setAcl, setStoragePolicy, setXAttr, setXAttr, unsetStoragePolicy`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SCHEME

          public static final String SCHEME

      See Also:
        Constant Field Values

Copyright © 2022 Apache Software Foundation. All rights reserved.